#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

void WindowBoxIn( HDC hDC, LPRECT pRect );

//----------------------------------------------------------------------------//

CLIPPER Paint3D()
{
   HWND hWnd       = _parni( 1 );
   HWND hWndParent = GetParent( hWnd );
   HDC  hDC        = GetDC( hWndParent );
   RECT  rc;
   POINT pt;

   GetWindowRect( hWnd, &rc );
   pt.x = rc.left;
   pt.y = rc.top;

   ScreenToClient( hWndParent, &pt );
   rc.left = pt.x - 1;
   rc.top  = pt.y - 1;
   pt.x    = rc.right;
   pt.y    = rc.bottom;

   ScreenToClient( hWndParent, &pt );
   rc.right  = pt.x;
   rc.bottom = pt.y;

   WindowBoxIn( hDC, &rc );
   ReleaseDC( hWndParent, hDC );
}

//----------------------------------------------------------------------------//
